Page 2 of 2 FirstFirst 12
Results 11 to 16 of 16

Thread: Upgrading Kde is impeded by one repository

  1. #11
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,650

    Default Re: Upgrading Kde is impeded by one repository

    As a general rule you don't NEED any debug files Still think your problem is mixing version

    DO vendor change to those repos to stop KDE packages coming in via the normal repos

  2. #12
    Join Date
    Oct 2008
    Location
    near the Alps
    Posts
    567

    Default Re: Upgrading Kde is impeded by one repository

    hi

    How ? I'm trying to dup from repos 13 and 15 (Frameworks and Qt5) but it does not work

    http://pastebin.com/u4ksQ7jq
    openSUSE Leap 42.2 , KDE Plasma 5

  3. #13

    Default Re: Upgrading Kde is impeded by one repository

    Quote Originally Posted by Penguinclaw View Post
    I just had a look for it in YAst and libphonon4qt5 is version 4.9.0-2.6 and there is no *debug package at all.....

    Not sure if this is a pointer
    It seems this is some issue with the openSUSE infrastructure -- debuginfo packages apparently were built.

    Both OBS and download.opensuse.org say they exist but none of the mirrors have the file available for download.

    ----

    Anyway, you might not need the extra repositories -- Leap 42.2 has Plasma 5.8 which is already the latest version.

    If your reason for adding the repos was to keep track with the latest versions of software, it sounds like you might as well upgrade to Tumbleweed.

    Given the amount of extra repositories you've included, it seems like this is the case. That would allow you to run the latest software with none of the issues associated with including unstable development repositories.

  4. #14
    Join Date
    Oct 2008
    Location
    near the Alps
    Posts
    567

    Default Re: Upgrading Kde is impeded by one repository

    Hi ;=)

    I'd like to upgrade Kde , even with 42.2. Here if i ignore the error instead of aborting what's the result ? (i did and many debuginfo packages were not found).
    openSUSE Leap 42.2 , KDE Plasma 5

  5. #15

    Default Re: Upgrading Kde is impeded by one repository

    Quote Originally Posted by manchette_fr View Post
    Hi ;=)

    I'd like to upgrade Kde , even with 42.2. Here if i ignore the error instead of aborting what's the result ? (i did and many debuginfo packages were not found).
    Generally speaking, you should not need to install -debuginfo packages for normal use. I would suggest removing all -debuginfo packages and trying the upgrade again:

    Code:
    zypper remove "*-debuginfo"
    Make sure that it is only removing -debuginfo packages and not other packages as well though.

  6. #16
    Join Date
    Oct 2008
    Location
    near the Alps
    Posts
    567

    Default Re: Upgrading Kde is impeded by one repository

    Hi
    i removed 80 packages and now it seems ok
    openSUSE Leap 42.2 , KDE Plasma 5

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •